1. Stan Bluijs Member

    PHP updaten op VPS

    Topic geplaatst op: 25-11-2012 om 16:06

    Ik probeer op mijn vps de php versie de updaten naar 5.3 of hoger. Dit heb ik geprobeerd b.h.v. verschillende tutorials en websites. Ik heb verschillende repositories toegevoegd. Elke keer als ik "sudo yum update php"
    uitvoer krijg in onderstaand resultaat:

    Loaded plugins: fastestmirror
    Loading mirror speeds from cached hostfile
    * base: mirror.widexs.nl
    * epel: mirror.nl.leaseweb.net
    * extras: mirror.widexs.nl
    * remi-test: rpms.famillecollet.com
    * updates: mirror.widexs.nl
    Excluding Packages in global exclude list
    Finished
    Setting up Update Process
    No Match for argument: php
    No package php available.
    No Packages marked for Update

    php -v geeft het volgende resutlaat:

    PHP 5.2.17 (cli) (built: Jul 18 2011 14:33:22)
    Copyright (c) 1997-2010 The PHP Group
    Zend Engine v2.2.0, Copyright (c) 1998-2010 Zend Technologies

    Ik hoop dat iemand mij verder op weg kan helpen.

    Met vriendelijke groet,
    Stan

  2. RayHammer Member
    Reactie geplaatst op: 26-11-2012 om 07:47

    Ik neem aan dat je DirectAdmin gebruikt. Zo niet, dan dit NIET DOEN.

    Open SSH (PUTTY) en login. Dan typ je in (cd /usr/local/directadmin/custombuild) zonder de ().

    Open (mc) en open options.conf en zet php5_ver=5.2 naar php5_ver=5.3 of php5_ver=5.4 als je dat wil. Nu opslaan en mc afsluiten.

    ./build update
    ./build clean
    ./build php n

    Daarna als het klaar is zul je dit zien met php -v dat is klopt. Moest je suphp draaien, dan moet je geen php -v doen maar /usr/local/php5/bin/php-cgi -v


    Voor OS centOS

    Vond u dit antwoord nuttig?

  3. Stan Bluijs Member
    Reactie geplaatst op: 28-11-2012 om 12:08

    @RayHammer, Dank je wel voor je antwoord!

    Vond u dit antwoord nuttig?

  4. eenklant Member
    Reactie geplaatst op: 03-12-2012 om 03:14

    Hmmm makkelijker dan het volgende kan toch niet zijn?
    cd /usr/local/directadmin/custombuild
    ./build set php5_ver 5.3
    ./build update
    ./build php n

    Vond u dit antwoord nuttig?

  5. eenklant Member
    Reactie geplaatst op: 03-12-2012 om 03:19

    En niet vergeten httpd te restarten
    service httpd restart

    Vond u dit antwoord nuttig?